{ config, lib, ... }:
let
  cfg = config.modules.git;
in
{

  options.modules.git = {
    enable = lib.mkEnableOption "git";
  };
  config.programs = lib.mkIf cfg.enable {
    git = {
      enable = true;
      settings = {
        user = {
          name = "Doloro1978";
          email = "doloroo@proton.me";
          signingKey = "089B373588540877";
        };
        commit = {
          gpgSign = true;
        };
        pull = {
          rebase = true;
        };
      };
    };
    gpg = {
      enable = true;
    };
  };
}
